local root = class("moduleBag", require("base.baseModule"))

function root:ctor(uid)
    root.super.ctor(self, uid, "bag", "uid", true)
    self.uid = uid
end

function root:mysql_get_init_columns()
    return {
        uid = "int(11) unsigned NOT NULL",
        itemList = "JSON COMMENT '道具信息'",
        lastBid = "int(11) DEFAULT 0 COMMENT '最后使用的bid'",
        lastInitTime = "int(11) DEFAULT 0 COMMENT '最后初始化背包的时间戳'"
    }
end

----------------------------------------
-- 接口
----------------------------------------
-- 请求获取背包信息
function root:itf_get_info(role, msg)
    local items = self:redis_get_key_info("itemList")
    return code.OK, {items = items}
end

return root
